(define-module (alterator workflow xkb)
  :use-module (alterator algo)
  :use-module (alterator woo)

  :use-module (alterator configd html)
  :use-module (alterator configd form)
  :export (workflow))

(define (workflow url url-args template-args)
  (let ((action (cond-assq 'action template-args)))
     (woo-catch
      (thunk (if (cond-assoc "add" url-args)
                 (html:redirect "/xkb/avail_layout")
                 (workflow-form url action url-args template-args)))
      (lambda(reason)
        (html:error (workflow-form url "read" url-args template-args) reason)))))
