(document:surround "/std/frame")
(document:insert "/std/functions")

;;; functions
(define (update-variant)
    (variant enumref (list "/xkb/avail_variant" 'name (country value))
             current 0))

(define (write-variant)
  (woo-write "/xkb/avail_layout" 'variant (variant value)))

;;; ui

width 650
height 400

(gridbox columns "0;100"
         (label text (_ "Country:") align "right")
         (document:id country (combobox))
         (label (_ "Available layouts:") colspan 2)
         (document:id variant (listbox colspan 2))

         (label colspan 2)

         (spacer)
         (hbox align "left"
               (document:id ok-button (button (_ "Add")))
               (document:id cancel-button (button (_ "Cancel")))))

;;; logic

(document:root (when loaded
                 (woo-catch/message
                  (thunk
                   (ok-button (when clicked
                                (woo-catch/message write-variant)
                                (document:end #t)))
                   (cancel-button (when clicked (document:end #f)))
                   (country enumref "/xkb/avail_layout")
                   (country (when selected (update-variant)))
                   (country current 0
                            selected)))))
